Bug Hunting Session
Bug 114791 - Windows-Font "Tahoma" as menu font has wrong kerning in Libreoffice
Summary: Windows-Font "Tahoma" as menu font has wrong kerning in Libreoffice
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.7.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2018-01-01 11:20 UTC by andreas.franz
Modified: 2019-01-04 03:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Menu with SegUI-Standard-font (7.36 KB, image/png)
2018-01-01 11:22 UTC, andreas.franz
Details
Menu with Tahoma-font (8.73 KB, image/png)
2018-01-01 11:24 UTC, andreas.franz
Details
Open menu with Tahoma (20.80 KB, image/png)
2018-01-01 11:26 UTC, andreas.franz
Details
Different fonts with 9px (2.06 KB, image/png)
2018-01-02 14:32 UTC, andreas.franz
Details
Different fonts with 10px (2.12 KB, image/png)
2018-01-02 14:33 UTC, andreas.franz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas.franz 2018-01-01 11:20:00 UTC
Description:
If changed my system-menu-font in Windows 10 to "Tahoma". This font makes wrong font-kerning in all Libreoffice-application.
Latest working Version was 5.2.7. Now I´m on 5.3.7.2

Steps to Reproduce:
1. change your system-menu-font to Tahoma 
2. start Libreoffice eg. Writer


Actual Results:  
wrong font-kerning 

Expected Results:
same look as 5.2.7


Reproducible: Always


User Profile Reset: Yes



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 andreas.franz 2018-01-01 11:22:08 UTC
Created attachment 138785 [details]
Menu with SegUI-Standard-font
Comment 2 andreas.franz 2018-01-01 11:24:31 UTC
Created attachment 138786 [details]
Menu with Tahoma-font
Comment 3 andreas.franz 2018-01-01 11:26:23 UTC
Created attachment 138787 [details]
Open menu with Tahoma
Comment 4 andreas.franz 2018-01-01 11:32:25 UTC
First sentence should be:
I´ve changed my system-menu-font to "Tahoma" ...
Comment 5 V Stuart Foote 2018-01-01 20:01:02 UTC
Hmm, changing Windows 10 system font requires a registry modification [1] so not a common practice; however the issue can be visualized using LO's font replacement table mechanism: Tools -> Options -> Fonts: "Apply replacement table" checkbox and setting Tahoma as a replacement (Always) for Segoe UI.

IHMO believe the issue is with Tahoma's font metrics, for example doing the same with Arial, or Source Sans, or Noto Sans is clean. Lucida Sans shows some horizontal compression--but not as noticeable as Tahoma--to me this is a bad font metrics issue and Not Our Bug (NOB).

Khaled?

=-ref-=
https://www.windowscentral.com/how-change-default-system-font-windows-10
Comment 6 andreas.franz 2018-01-02 14:32:58 UTC
Created attachment 138806 [details]
Different fonts with 9px
Comment 7 andreas.franz 2018-01-02 14:33:18 UTC
Created attachment 138807 [details]
Different fonts with 10px
Comment 8 andreas.franz 2018-01-02 14:37:22 UTC
It seems, that Tahoma in Libreoffice looks ugly, when it´s size is 9px. If you switch to 10px, it looks normal. Maybe a rounding issue?

System-Font-changing is not a big thing - Windows 7 has preferences for that task,
in Windows 10 you can use this simple tool:

https://www.wintools.info/index.php/advanced-system-font-changer-font-settings

regards,

Andy
Comment 9 Khaled Hosny 2018-01-03 04:57:11 UTC
Tahoma is an old font designed for aliased rendering, so it probably does strong hinting that affects glyph advance width, but we always use the unhinted glyph advances.

We probably need away to tell if we are rendering text for UI or content and use hinted or unhinted advances accordingly (for content we always want to use unhinted advances so that document does not reflow based on hinting settings or screen resolution). I don’t know how easy to do this, though.
Comment 10 QA Administrators 2019-01-04 03:39:52 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug